ExternalIdealConsumerWrapper Class Reference
Inheritance diagram for ExternalIdealConsumerWrapper:

## Public Member Functions

| ExternalIdealConsumerWrapper (Frobby::IdealConsumer *consumer, size_t varCount)
virtual void | consumeRing (const VarNames &names)
| Tell the consumer which ring is being used.
virtual void | beginConsuming ()
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const Term &term, const TermTranslator &translator)
virtual void | consume (const vector< mpz_class > &term)
virtual void | doneConsuming ()
| Must be called once after each time beginConsuming has been called.
Public Member Functions inherited from BigTermConsumer
virtual | ~BigTermConsumer ()
virtual void | consume (const Term &term)
| Consume a term.
virtual void | consume (const BigIdeal &ideal)
virtual void | consume (unique_ptr< BigIdeal > ideal)
void | beginConsuming (const VarNames &names)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Private Attributes

Frobby::IdealConsumer * | _consumer

## Additional Inherited Members

Protected Member Functions inherited from ConsumerWrapper
| ConsumerWrapper (size_t varCount)
virtual | ~ConsumerWrapper ()
void | setTerm (const Term &term, const TermTranslator &translator)
void | setTerm (const vector< mpz_class > &term)
Protected Attributes inherited from ConsumerWrapper
size_t | _varCount
mpz_ptr * | _term

## Detailed Description

Definition at line 69 of file frobby.cpp.

## Constructor & Destructor Documentation

## ExternalIdealConsumerWrapper()

ExternalIdealConsumerWrapper::ExternalIdealConsumerWrapper | ( | Frobby::IdealConsumer * | consumer,
|  | size_t | varCount )

inline

Definition at line 72 of file frobby.cpp.

## Member Function Documentation

## beginConsuming()

virtual void ExternalIdealConsumerWrapper::beginConsuming | ( |  | ) |

inline virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements BigTermConsumer.

Definition at line 83 of file frobby.cpp.

## consume() [1/2]

virtual void ExternalIdealConsumerWrapper::consume | ( | const Term & | term,
|  | const TermTranslator & | translator )

inline virtual

Implements BigTermConsumer.

Definition at line 87 of file frobby.cpp.

## consume() [2/2]

virtual void ExternalIdealConsumerWrapper::consume | ( | const vector< mpz_class > & | term | ) |

inline virtual

Implements BigTermConsumer.

Definition at line 95 of file frobby.cpp.

## consumeRing()

virtual void ExternalIdealConsumerWrapper::consumeRing | ( | const VarNames & | names | ) |

inline virtual

Tell the consumer which ring is being used.

Implements BigTermConsumer.

Definition at line 79 of file frobby.cpp.

## doneConsuming()

virtual void ExternalIdealConsumerWrapper::doneConsuming | ( |  | ) |

inline virtual

Must be called once after each time beginConsuming has been called.

Implements BigTermConsumer.

Definition at line 102 of file frobby.cpp.

## Member Data Documentation

## _consumer

Frobby::IdealConsumer* ExternalIdealConsumerWrapper::_consumer

private

Definition at line 107 of file frobby.cpp.

The documentation for this class was generated from the following file:

- src/frobby.cpp